MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026800Open CASCADE[OCCT] OCCT:Configurationpublic2015-10-23 11:592017-09-29 16:24
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0026800: CMake and genproj - ensure consistency between FILES and actual content of inc and src folders
DescriptionCurrently both CMake and genproj generators can fill inc folder by headers of OCCT (either copies or shortcuts), however they both seem to not remove existing old copies of headers that might have been removed from OCCT sources. Furthermore, they copy all headers found in the package directory, regardless of whether they are listed in the FILES file of the package.

These tools should be improved to ensure consistency:

- Only headers listed in FILES should be copied / linked to inc.
- All files found in package directory but not listed in FILES should be reported (warning).
- Headers found in inc but not in FILES of any package should be removed (with warning message).
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0026865closedbugmaster Configuration, CMake - ensure consistency between FILES and actual content of inc and src folders 
parent of 0026866closedapn Configuration, genproj - ensure consistency between FILES and actual content of inc and src folders 

-  Notes
(0047996)
git (administrator)
2015-11-10 14:24

Branch CR26800 has been created by ibs.

SHA-1: 4358eeda8ba95ee622aba1cd6b9a357805fa1b80


Detailed log of new commits:

Author: ibs
Date: Tue Nov 10 11:49:08 2015 +0300

    0026800: CMake and genproj - ensure consistency between FILES and actual content of inc and src folders
    
    CMake: parse FILES file to collect header files for inc folder
(0048067)
git (administrator)
2015-11-11 16:16

Branch CR26800 has been updated forcibly by ibs.

SHA-1: 758b5f2e3bb10606c3780c169445b358b68631f8
(0048068)
git (administrator)
2015-11-11 17:11

Branch CR26800 has been updated by ibs.

SHA-1: eec72e6a8385eb9675ed2581adbfc1883a802211


Detailed log of new commits:

Author: ibs
Date: Wed Nov 11 17:11:28 2015 +0300

    0026800: CMake and genproj - ensure consistency between FILES and actual content of inc and src folders
    
    headers from inc folder are being checked for using in further building process

(0048142)
git (administrator)
2015-11-13 12:42

Branch CR26800 has been deleted by ibs.

SHA-1: eec72e6a8385eb9675ed2581adbfc1883a802211
(0060660)
abv (manager)
2016-11-22 10:59

This issue shall be managed together with 0026866
(0062430)
ibs (developer)
2017-01-09 16:22

dear bugmaster,
please close the issue. all its children are fixed
(0062431)
abv (manager)
2017-01-09 16:39

please switch to verified -- it should be closed together with 0026866

- Issue History
Date Modified Username Field Change
2015-10-23 11:59 abv New Issue
2015-10-23 11:59 abv Assigned To => bugmaster
2015-11-09 15:27 abv Assigned To bugmaster => ibs
2015-11-09 15:27 abv Status new => assigned
2015-11-09 15:27 abv Summary CMake and genproj - remove old headers from inc folder => CMake and genproj - ensure consistency between FILES and actual content of inc and src folders
2015-11-09 15:27 abv Description Updated View Revisions
2015-11-10 14:24 git Note Added: 0047996
2015-11-11 16:16 git Note Added: 0048067
2015-11-11 17:11 git Note Added: 0048068
2015-11-12 11:12 ibs Status assigned => resolved
2015-11-12 11:12 ibs Steps to Reproduce Updated View Revisions
2015-11-13 12:00 ibs Status resolved => assigned
2015-11-13 12:06 ibs Relationship added parent of 0026865
2015-11-13 12:10 ibs Relationship added parent of 0026866
2015-11-13 12:42 git Note Added: 0048142
2016-03-02 13:18 ibs Target Version 7.0.0 => 7.1.0
2016-11-22 10:59 abv Note Added: 0060660
2016-11-22 10:59 abv Target Version 7.1.0 => 7.2.0
2017-01-09 16:22 ibs Note Added: 0062430
2017-01-09 16:22 ibs Assigned To ibs => bugmaster
2017-01-09 16:22 ibs Status assigned => feedback
2017-01-09 16:39 abv Note Added: 0062431
2017-02-28 10:41 bugmaster Status feedback => reviewed
2017-02-28 10:41 bugmaster Status reviewed => verified
2017-02-28 10:41 bugmaster Resolution open => fixed
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker